/**********************************************
 * HelloWorld
 * 
 * www.yfrobot.com
 **********************************************/

#include <Wire.h> 
#include "LiquidCrystal_I2C.h"

LiquidCrystal_I2C lcd(0x27,16,2);  // set the LCD address to 0x27 for a 16 chars and 2 line display

const int TrigPin = 2; // define TrigPin to pin 2
const int EchoPin = 3;  // Define EchoPin to pin 3
const int b = 4;
float distance;

void setup()
{
    lcd.init();                      // initialize the lcd
    // Print a message to the LCD.
    lcd.backlight();

    Serial.begin(9600); // Set the serial port baud rate to 9600
    pinMode(b, OUTPUT);
    pinMode(TrigPin, OUTPUT); // Set the TrigPin pin to output mode
    pinMode(EchoPin, INPUT); // Set the EchoPin pin to output mode
    Serial.println("Ultrasonic sensor:");  // Print character Ultrasonic sensor:

    

}
float get_distance()
{
    float dis;
    digitalWrite(TrigPin, LOW); // Set the TrigPin pin to low level
    delayMicroseconds(2); // Delay 2 microseconds
    digitalWrite(TrigPin, HIGH);
    delayMicroseconds(10); // Delay 10 microseconds
    digitalWrite(TrigPin, LOW);  // Set the TrigPin pin to low level
    dis = pulseIn(EchoPin, HIGH) / 58.00; // Calculate distance
    Serial.print("distance is :");  // print character distance is:
    Serial.print(dis); // print distance value
    Serial.print("cm"); // print character cm
    Serial.println();
    return dis;
}

void loop()
{
   distance = get_distance();
   if(distance <30 )
   {
    digitalWrite(b, HIGH);
   }else{
    digitalWrite(b, LOW);
    }

    lcd.setCursor(2,0); // go to start of 2nd line
    lcd.print("distance is :");
    lcd.setCursor(4,1); // go to start of 2nd line
    lcd.print(distance);
     delay(1000); // Delay 1 second
}
